VAJTask (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ide.VAJTask,VAJTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJTask

Direct Known Subclasses:
  VAJExport, VAJImport, VAJLoad

public class VAJTask
extends Task

Field Summary
`protected boolean` | `haltOnError`
`protected java.lang.String` | `remoteServer`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VAJTask()`

Method Summary
`protected org.apache.tools.ant.taskdefs.optional.ide.VAJUtil` | `getUtil()` returns the VAJUtil implementation
`void` | `setHaltonerror(boolean newHaltOnError)` Flag to control behaviour in case of VAJ errors.
`void` | `setRemote(java.lang.String remoteServer)` Name and port of a remote tool server, optiona.

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### remoteServer

    protected java.lang.String remoteServer

### haltOnError

    protected boolean haltOnError

Constructor Detail

### VAJTask

    public VAJTask()

Method Detail

### getUtil

    protected org.apache.tools.ant.taskdefs.optional.ide.VAJUtil getUtil()

  returns the VAJUtil implementation

### setRemote

    public void setRemote(java.lang.String remoteServer)

  Name and port of a remote tool server, optiona. Format: <servername>:<port no>. If this attribute is set, the tasks will be executed on the specified tool server.

### setHaltonerror

    public void setHaltonerror(boolean newHaltOnError)

  Flag to control behaviour in case of VAJ errors. If this attribute is set errors will be ignored (no BuildException will be thrown) otherwise VAJ errors will be wrapped into a BuildException and stop the build.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.